Introduction for Konstruk Administration

 

All levels of the Konstruk administration are currently supported by these browsers.  This is subject to change and we will generally only support the latest iteration of the browser:

  • Internet Explorer 8 and above
  • Firefox Version 3.6.13 and above
  • Safari Version 5 and above
  • Google Chrome Version 10 and above
Website Content Management System